## gir-repository 0.6.5-5maemo1

=== debian/changelog ===
gir-repository (0.6.5-5maemo1) unstable; urgency=low

  * Maemo 5 build.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 11 Mar 2010 22:05:24 -0400

gir-repository (0.6.5-5) unstable; urgency=low

  * Remove WebKit bindings, they are built by WebKit itself now.
  * Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 15 Feb 2010 21:52:44 +0100

gir-repository (0.6.5-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop clutter 0.8 bindings.

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 03 Feb 2010 00:49:09 +0100

gir-repository (0.6.5-3) unstable; urgency=low

  * Remove libunique bindings.
  * Only install .gir corresponding to .typelib files, to avoid issues 
    when libs not in the build-deps are installed.

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Nov 2009 17:50:19 +0100

gir-repository (0.6.5-2) unstable; urgency=low

  * Stop building the GStreamer bindings, they are now in GStreamer 
    itself.
  * Use dh_girepository and build-depend on sufficient 
    gobject-introspection package.
  * Split the files into several packages and generate dependencies for 
    each of them, according to the GObject introspection mini policy.
  * Add build-conflict on libgtk-directfb-2.0-dev, it breaks the Gdk 
    bindings.
  * Add nautilus and wnck bindings.
  * 01_avoid-version.patch: remove the -avoid-version call. Since the 
    libraries are shipped in /usr/lib, they must actually be versioned.

 -- Josselin Mouette <joss@debian.org>  Sun, 18 Oct 2009 13:44:42 +0200

gir-repository (0.6.5-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies.
  * debian/control.in:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Sep 2009 05:51:08 +0200

gir-repository (0.6.4-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add a watch file.

  [ Gustavo Noronha Silva ]
  * New upstream release

  [ Josselin Mouette ]
  * Remove .la files, they are not referenced anywhere.

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Aug 2009 10:59:28 -0300

gir-repository (0.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01-missing_files.patch:
  - removed; not needed anymore
  * debian/control.in:
  - bump build-deps on gobject-introspection components to their 0.6.3
    versions
  - build-depend on the new gobject-introspection-freedesktop package,
    which provides some of the gir files which were usually provided by
    this package; notice that no Conflicts/Replaces is needed because the
    directories were renamed

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 24 Jun 2009 16:31:54 -0300

gir-repository (0.6.1-2) unstable; urgency=low

  * debian/rules:
    + Set HOME to the builddir and clean it correctly as it's used
      for a cache directory and otherwise fails on buildds with non-writable
      HOME.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Dec 2008 11:30:28 +0100

gir-repository (0.6.1-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependends. 
    + debian/patches/01-missing_files.patch:
      - Add some missing files from SVN.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Nov 2008 08:39:12 +0100

gir-repository (0.1.0~svn190-1) unstable; urgency=low

  * New upstream SVN snapshot:
    + debian/control.in:
      - Update build dependends and description.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Nov 2008 20:41:46 +0100

gir-repository (0.1.0~svn90-1) unstable; urgency=low

  * Initial version (Closes: #501534).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Oct 2008 11:06:37 +0200
