=== debian/control ===
Source: gir-repository
Section: devel
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               cdbs,
               quilt,
               gnome-pkg-tools (>= 0.10),
               libgirepository1.0-dev (>= 0.6.5),
               gobject-introspection (>= 0.6.5-3),
               gir1.0-glib-2.0 (>= 0.6.5),
               gir1.0-freedesktop,
               libtool,
               libpango1.0-dev (>= 1.16.0),
               libatk1.0-dev (>= 1.12.0),
               libgtk2.0-dev (>= 2.12.0),
               libglade2-dev (>= 2.5.0),
               python-gobject-pygi,
               libgconf2-dev,
               libsoup2.4-dev,
               libnotify-dev,
               libxft-dev,
               libgssdp-1.0-dev,
               libgupnp-1.0-dev,
               libdbus-glib-1-dev,
               libxml2-dev,
               libxfixes-dev,
Build-Conflicts: libgtk-directfb-2.0-dev
Standards-Version: 3.8.4
Homepage: http://live.gnome.org/GObjectIntrospection

Package: gir1.0-gtk-2.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: gir1.0-atk-1.0,
          gir1.0-pango-1.0
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the GTK+ library
 This package contains introspection data for the GTK+ graphical 
 toolkit, and a few related libraries. It contains the following 
 modules:
 .
  * Pango
  * Atk
  * Gdk
  * GdkPixbuf
  * Gtk
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

Package: gir1.0-gupnp-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: gir1.0-gssdp-1.0
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the GUPnP library
 This package contains introspection data for GUPnP, a GObject-based 
 implementation of the UPnP protocol.
 .
 It also contains introspection data for the closely related GSSDP 
 library.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

Package: gir1.0-soup-2.4
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the Soup library
 This package contains introspection data for libsoup, a HTTP library 
 based on GLib.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

Package: gir-repository-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Recommends: gobject-introspection
Description: XML sources files for the GObject introspection repository
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the XML sources for introspection data of the 
 following libraries:
 .
  * Atk
  * Avahi
  * Babl
  * Cairo
  * FontConfig
  * FreeType2
  * GConf
  * Gdk
  * GdkPixbuf
  * OpenGL
  * GnomeKeyring
  * GooCanvas
  * GSSDP
  * Gtk
  * GUPnp
  * libxml2
  * libnotify
  * libsoup
  * Pango
  * Poppler
  * Vte
  * Xft
  * XLib
 .
 The actual introspection data is shipped in the relevant gir1.0-* 
 packages.
