=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_PREFIX = /opt/pygi
DEB_MAKE_ENVVARS += HOME=$(CURDIR) PKG_CONFIG_PATH=$(DEB_CONFIGURE_PREFIX)/lib/pkgconfig LD_LIBRARY_PATH=$(DEB_CONFIGURE_PREFIX)/lib
DEB_CONFIGURE_SCRIPT_ENV += PKG_CONFIG_PATH=$(DEB_CONFIGURE_PREFIX)/lib/pkgconfig

LD_LIBRARY_PATH=$(CURDIR)/gir/.libs
export LD_LIBRARY_PATH

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),armel)
SBOX_REDIRECT_BINARIES=$SBOX_REDIRECT_BINARIES,/opt/pygi/bin/g-ir-compiler:$(CURDIR)/debian/g-ir-compiler-sbox
export SBOX_REDIRECT_BINARIES
endif

PATH := $(PATH):$(DEB_CONFIGURE_PREFIX)/bin
export PATH

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

clean::
	rm -rf $(CURDIR)/.cache
	rm -rf $(CURDIR)/gir/tmp-introspect*
