=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gir-repository/([\d\.]+)[02468]/ \
gir-repository-([\d\.]+)\.tar\.gz
